//---------------------------------------------------------------------------------------------
// Torque Game Builder
// Copyright (C) GarageGames.com, Inc.
//---------------------------------------------------------------------------------------------

//---------------------------------------------------------------------------------------------
// startGame
// All game logic should be set up here. This will be called by the level builder when you
// select "Run Game" or by the startup process of your game to load the first level.
//---------------------------------------------------------------------------------------------
function startGame(%level)
{
   Canvas.setContent(mainScreenGui);
   Canvas.setCursor(DefaultCursor);
   
   new ActionMap(moveMap);   
   moveMap.push();
   
   $enableDirectInput = true;
   activateDirectInput();
   enableJoystick();
   
   sceneWindow2D.loadLevel(%level);

   %fish = new t2dStaticSprite() {
      imageMap = null;
//      frame = "0";
//      sourceRect = "0 0 0 0";
//      canSaveDynamicFields = "1";
      Position = "0 0";
//      size = "10.000 10.000";
//         mountID = "6";
   };

   %sg = sceneWindow2D.getSceneGraph();

//   %sg.addToScene(%fish);
   
   %s = Spriter::create();
   %sd = %s.loadFile("game\\monster\\Example.SCML");

   %fish.setImageMap(%sd.imageMap[1,0]);

   %frame = %fish.imageMap.getFrameSize(0);
   %width = getWord(%frame, 0);
   %height = getWord(%frame, 1);

   %resolution = sceneWindow2D.getCurrentCameraSize();
   %sx = getWord(%resolution, 0);
   %sy = getWord(%resolution, 1);

   echo(%sx @ ", " @ %sy);

   %factor = 0.05;   
   
   %fish.setSize(%width * %factor, %height * %factor);

//   for (%i = 0; %i < %s.characters.getCount(); %i++)
//   {
//   	   %o = %s.characters.getObject(%i);
//       echo("Name " @ %i @ "= " @ %o.getName());
//       %a = %o.anim.getObject(0);
//       echo("Anim = " @ %a.getName());
//       %f = %a.frames.getObject(0);
//       echo("Frame = " @ %f.frame);
//       echo("Frame duration = " @ %f.duration);
//   } 
   
   %sp = %s.createEntity(0);

   %sp.attachToScene(%sg);
}

//---------------------------------------------------------------------------------------------
// endGame
// Game cleanup should be done here.
//---------------------------------------------------------------------------------------------
function endGame()
{
   sceneWindow2D.endLevel();
   moveMap.pop();
   moveMap.delete();
}

function FishClass::onLevelLoaded(%this, %scenegraph)
{
	%this.setSpeed();
	%this.setLinearVelocityX(%this.speed);
}

function FishClass::onWorldLimit(%this, %mode, %limit)
{
	%this.setSpeed();

	switch$ (%limit)
	{
		case "left":
			%this.setLinearVelocityX(%this.speed);
			%this.setFlipX(false);
			%this.setPositionY(getRandom(-35, 25));
		case "right":
			%this.setLinearVelocityX(-%this.speed);
			%this.setFlipX(true);
			%this.setPositionY(getRandom(-35, 25));
	}
}

function FishClass::setSpeed(%this)
{
	%this.speed = getRandom(%this.minSpeed, %this.maxSpeed);
}


