exec("./spriterData.cs");
exec("./spriterEntity.cs");

function Spriter::create()
{
	%error = false;

	// Create a new instance of a Spriter object
	%this = new ScriptObject()
	{
		class = Spriter;
	};

   if (%this)
   {
      %this.data_set = new SimSet();
      %this.currentData = null;
   }

	return %this;
}

function isInt(%str)
{
   return (%str $= %str * 1);
}

function Spriter::delete(%this)
{
	// Completely remove this object from memory
	Parent::delete(%this);
}

function Spriter::clear()
{
	// Return the object to a new initialized state

}

function Spriter::loadFile(%this, %file)
{
   %data = %this.data_set.findObjectByInternalName(%file);   
   
   if (!%data)
   {
      %data = SpriterData::create(%file);
      %this.data_set.add(%data);
      %this.currentData = %data;
   }

   return %data;
}

function Spriter::draw(%this)
{

}

function Spriter::attachToScene(%this, %scene)
{
	%count = %this._obj_count;

	for (%a = 0; %a < %count; %a++)
	{
		%scene.addToScene(%this._object[%a]);
	}
}

// Spriter::createEntity() creates an instance of a SpriterEntity object
// with the given entity name or number, animation number, and the
// specified SpriterData object.  If no data object is given, the last one
// accessed will be reused.  If no animation number is given, 0 will be used.
function Spriter::createEntity(%this, %entity, %data)
{
   if (!%data)
      %data = %this.currentData;

   // Create the actual entity object
   %entity = SpriterEntity::create(%entity, %data);

   return %entity;
}